import { Button, Space, Modal, FormInstance } from "antd";
import { inject, observer } from "mobx-react";
import BTable from "@/components/b_table";
import { useEffect, useState } from "react";
import { Store } from "antd/lib/form/interface";
import React from "react";
import { columns } from "./user_config";
import "./user.less";
import Move from "./move";

const User = (props: Store) => {
  const { usrStore } = props;
  const [isModalOpen, setIsModalOpen] = useState<boolean>(false);
  const formRef = React.useRef<FormInstance>(null);
  const [userId, setId] = useState<Number | null>(null);

  const edit = (record) => {}; 
  useEffect(() => {}, [usrStore]);

  const addHandler = () => {};
  return (
    <div className="contentBox">
      <Space direction="vertical" size="middle" style={{ display: "flex" }}>
        <Space direction="horizontal" size={"middle"}>
          <Button type="default" onClick={() => addHandler()}>
            添加民兵
          </Button>
        </Space>
        <BTable
          store={usrStore}
          scroll={{ x: "max-content" }}
          columns={[
            ...columns,
            {
              title: "操作",
              fixed: "right",
              with: 200,
              render: (any, record) => (
                <Space wrap>
                  <Button
                    type="dashed"
                    size="small"
                    onClick={() => edit(record)}
                  >
                    编辑
                  </Button>
                  <Move id={record.identity} />
                  <Button
                    type="dashed"
                    danger
                    size="small"
                    onClick={() => {
                      usrStore.deleteItem(record.id);
                    }}
                  >
                    删除
                  </Button>
                </Space>
              ),
            },
          ]}
          dataSource={usrStore.list}
        />

        <Modal
          title={!userId ? "添加民兵" : "编辑民兵"}
          width={800}
          open={isModalOpen}
          afterClose={() => formRef.current?.resetFields()}
          onOk={() => formRef.current?.submit()}
          okText="确定"
          cancelText="取消"
          onCancel={() => {
            setId(null);
            setIsModalOpen(false);
          }}
        >
          
        </Modal>
      </Space>
    </div>
  );
};

export default inject("usrStore")(observer(User));
